import ddf.minim.*;

int numSamples = 32;
AudioSample samples[] = new AudioSample[numSamples];

int lastSamplePlayed = 0;

boolean firstTime = true;

void setup()
{
  size(400, 150);
  
  Minim.start(this);
  loadSamples();

  //configure font stuff
  PFont font;
  font = loadFont("Apple-Chancery-48.vlw");
  textFont(font);

  frameRate(2);
}

void loadSamples()
{
  for (int i = 0; i < numSamples; i++)
  {
    String name = (i + 7) + ".wav";
    println("loading: " + name);
    samples[i] = Minim.loadSample(name);
  }
}

void draw()
{

  if (firstTime)
  {
    background(0);
    text("infinite beets.", 65, 90);    
    firstTime = false;
  }

  int whichSample = int(random(numSamples));
  //int whichSample = int(random(5) + 33);

  while (whichSample == lastSamplePlayed)
    whichSample = int(random(numSamples));
    //whichSample = int(random(5) + 33);
    
  println("playing: " + whichSample); 

  samples[whichSample].setPan(random(1.0));
  samples[whichSample].trigger();

  lastSamplePlayed = whichSample;

}

void stop()
{
  for (int i = 0; i < numSamples; i++)
  {
    samples[i].close();
    super.stop();
  }

}
